portal = context.getPortalObject()
portal_catalog = portal.portal_catalog
from Products.ERP5Type.Log import log

for data_analysis in portal_catalog(portal_type = "Data Analysis",
                                    simulation_state = "planned"):
  if data_analysis.getSimulationState() == "planned":
    data_analysis.start()
    log("DATA ANALYSIS STARTED")
    data_analysis.activate(serialization_tag=str(data_analysis.getUid()))\
      .DataAnalysis_executeDataOperation()
